List of all members
clan::Sizex< Type > Class Template Reference
clanCore Math

2D (width,height) size structure. More...

`#include <size.h>`

## Public Member Functions
Construction
| Sizex ()
| Constructs a size structure. More...
| Sizex (Type width, Type height)
| Constructs a size structure. More...
| Sizex (const Sizex< Type > &s)
| Constructs a size structure. More...
Operations
| operator Vec2< Type > () const
Sizex< Type > & | operator+= (const Sizex< Type > &s)
| Size += Size operator. More...
Sizex< Type > & | operator-= (const Sizex< Type > &s)
| Size -= Size operator. More...
Sizex< Type > | operator+ (const Sizex< Type > &s) const
| Size + Size operator. More...
Sizex< Type > | operator- (const Sizex< Type > &s) const
| Size - Size operator. More...
Sizex< Type > & | operator+= (const Type &s)
| Size += operator. More...
Sizex< Type > & | operator-= (const Type &s)
| Size -= operator. More...
Sizex< Type > & | operator*= (const Type &s)
| Size *= operator. More...
Sizex< Type > & | operator/= (const Type &s)
| Size /= operator. More...
Sizex< Type > | operator+ (const Type &s) const
| Size + operator. More...
Sizex< Type > | operator- (const Type &s) const
| Size - operator. More...
Sizex< Type > | operator* (const Type &s) const
| Size * operator. More...
Sizex< Type > | operator/ (const Type &s) const
| Size / operator. More...
bool | operator== (const Sizex< Type > &s) const
| Size == Size operator (deep compare). More...
bool | operator!= (const Sizex< Type > &s) const
| Size != Size operator (deep compare). More...

## Public Attributes
Attributes
Type | width
| Size width. More...
Type | height
| Size height. More...

## Detailed Description

### template<typename Type>
class clan::Sizex< Type >

2D (width,height) size structure.

These line templates are defined for: int (Size), float (Sizef), double (Sized)

The documentation for this class was generated from the following file:

- size.h